# $Revision: 1.44 $, $Date: 2007-12-16 17:43:35 $
Summary:	File archiver with highest compression ratio
Summary(pl.UTF-8):	Paker plików z najwyższym stopniem kompresji
Name:		p7zip
Version:	4.57
Release:	1
License:	LGPL v2.1+
Group:		Applications/Archiving
Source0:	http://dl.sourceforge.net/p7zip/%{name}_%{version}_src_all.tar.bz2
# Source0-md5:	773f78d8b297eb858626667d4dfa93c7
URL:		http://p7zip.sourceforge.net/
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
7-Zip is a file archiver with highest compression ratio.

The main features of 7z format:
- Open architecture
- High compression ratio
- Strong AES-256 encryption
- Ability of using any compression, conversion or encryption method
- Supporting files with sizes up to 16000000000 GB
- Unicode file names
- Solid compressing
- Archive headers compressing

%description -l pl.UTF-8
7-Zip jest pakerem plików z najwyższym stopniem kompresji.

Główne cechy formatu 7z:
- otwarta architektura,
- wysoki stopień kompresji,
- silne kodowanie AES-256,
- możliwość używania dowolnych metod kodowania, kompresji, konwersji,
- obsługa bardzo dużych plików (powyżej 16000000000 GB),
- obsługa nazw plików w unikodzie,
- kompresja upakowana,
- kompresja nagłówków archiwum.

%package standalone
Summary:	Standalone 7zip executable
Summary(pl.UTF-8):	Samodzielny plik wykonywalny 7zip
Group:		Applications/Archiving
Obsoletes:	p7zip-stand-alone

%description standalone
Standalone version of 7zip. It handles less archive formats than
plugin capable version.

%description standalone -l pl.UTF-8
Samodzielna wersja 7zip-a. Obsługuje mniej formatów archiwów niż
wersja obsługująca wtyczki.

%prep
%setup -q -n %{name}_%{version}

cp -f makefile.linux_x86_ppc_alpha_gcc_4.X makefile.machine
%{__sed} -i -e 's/ -s / /' makefile.machine

find . -name '*.cpp' -exec sed -i -e 's@getenv("P7ZIP_HOME_DIR")@"%{_libdir}/%{name}/"@g' {} \;

%build
%{__make} all2 test \
	CC="%{__cc} \$(ALLFLAGS)" \
	CXX="%{__cxx} \$(ALLFLAGS)" \
	LDFLAGS="%{rpmldflags}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name}/{Codecs,Formats},%{_mandir}/man1}

install bin/{7z,7zCon.sfx,7za} $RPM_BUILD_ROOT%{_bindir}
install bin/7z.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install bin/Codecs/* $RPM_BUILD_ROOT%{_libdir}/%{name}/Codecs

install man1/7z* $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc DOCS/{MANUAL,{7zFormat,License,Methods,history,lzma,readme}.txt} ChangeLog README TODO
%attr(755,root,root) %{_bindir}/7z
%attr(755,root,root) %{_bindir}/7zCon.sfx
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/7z.so
%dir %{_libdir}/%{name}/Codecs
%attr(755,root,root) %{_libdir}/%{name}/Codecs/*
%{_mandir}/man1/7z.1*

%files standalone
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/7za
%{_mandir}/man1/7za.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: p7zip.spec,v $
Revision 1.44  2007-12-16 17:43:35  adamg
- updated to 4.57

Revision 1.43  2007/09/01 21:52:40  adamg
- updated to 4.53

Revision 1.42  2007/08/21 06:19:39  glen
- builds with gcc 3.3.6

Revision 1.41  2007/08/05 10:28:48  qboosh
- updated to 4.51

Revision 1.40  2007/07/17 20:20:21  qboosh
- updated to 4.49

Revision 1.39  2007/07/11 20:20:52  qboosh
- updated to 4.48

Revision 1.38  2007/05/29 19:11:29  areq
- 4.47

Revision 1.37  2007/04/25 10:42:05  qboosh
- updated to 4.45

Revision 1.36  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.34  2007/01/27 12:53:06  wolf
- 4.44

Revision 1.33  2006/09/24 09:58:51  pluto
- perform tests.

Revision 1.32  2006/09/23 12:13:15  wolf
- 4.43

Revision 1.31  2006/08/01 00:58:02  sparky
- pass rpmldflags

Revision 1.30  2006/06/13 04:49:52  qboosh
- removed outdated opt patch, pass CC/CXX

Revision 1.29  2006/06/08 15:47:04  wolf
- 4.42

Revision 1.28  2006/05/10 08:00:47  blues
- obsolete means obsolete

Revision 1.27  2006/04/15 12:30:59  glen
- workaround for invalid timestamps

Revision 1.26  2006/04/15 11:29:04  wolf
- 4.39

Revision 1.25  2006/04/03 15:50:24  wolf
- 4.37

Revision 1.24  2006/02/13 13:50:02  wolf
- 4.33

Revision 1.23  2005/12/14 22:54:41  dzeus
- up to 4.30

Revision 1.22  2005/11/24 21:38:41  qrczak
- Fixed "extra qualification" errors from g++
- Release 2

Revision 1.21  2005/10/25 15:52:34  qboosh
- no macro in Obsoletes for old package

Revision 1.20  2005/10/25 15:45:52  glen
- stand-alone you can say to you male genital (rename subpackage stand-alone to standalone)

Revision 1.19  2005/10/07 21:30:54  paszczus
- updated to 4.29

Revision 1.18  2005/09/23 07:16:30  paszczus
- updated to 4.27 ; STBR

Revision 1.17  2005/06/05 12:17:35  wolf
- 4.20

Revision 1.16  2005/05/12 22:24:42  charles
- updated to 4.18

Revision 1.15  2005/04/15 09:04:30  pluto
- rpmcxxflags for cxx.

Revision 1.14  2005/04/12 14:21:39  dzeus
- up to 4.16, manual added

Revision 1.13  2005/01/24 16:43:05  charles
- fix sed usage, STBR

Revision 1.12  2005/01/23 20:19:19  darekr
- BR: sed 4.0

Revision 1.11  2005/01/23 19:56:14  charles
- updated to 4.14.01 (bugfixes)

Revision 1.10  2005/01/15 19:39:57  dzeus
- up to 4.14, fixed URL, cosmetics in desc

Revision 1.9  2004/12/19 17:27:31  adamg
- release 2

Revision 1.8  2004/12/19 15:15:55  adamg
- updated to 4.13

Revision 1.7  2004/11/26 17:31:20  wolf
- 4.12

Revision 1.6  2004/08/28 21:10:32  blues
- release 2

Revision 1.5  2004/08/27 23:46:11  qboosh
- updated to 0.91

Revision 1.4  2004/07/31 23:03:05  twittner
- typo

Revision 1.3  2004/07/31 22:18:16  wolf
- 0.90

Revision 1.2  2004/07/11 13:35:21  qboosh
- XFree86-devel seems not used(?), but libstdc++-devel is

Revision 1.1  2004/07/09 12:53:53  wolf
- new
